<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_GroupIncomeStatementAxis" xlink:label="greencoregroupplc_GroupIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_PreExceptionalMember" xlink:label="greencoregroupplc_PreExceptionalMember" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_ExceptionalMember" xlink:label="greencoregroupplc_ExceptionalMember" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_TotalMember" xlink:label="greencoregroupplc_TotalMember" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_ProfitOrLossTable" xlink:label="greencoregroupplc_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_ProfitOrLossLineItems" xlink:label="greencoregroupplc_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_OperatingCostsBeforeAcquisitionRelatedAmortisation" xlink:label="greencoregroupplc_OperatingCostsBeforeAcquisitionRelatedAmortisation" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_GroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation" xlink:label="greencoregroupplc_GroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_AmortisationOfAcquisitionRelatedIntangibles" xlink:label="greencoregroupplc_AmortisationOfAcquisitionRelatedIntangibles" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_FinanceIncomePreexceptional" xlink:label="greencoregroupplc_FinanceIncomePreexceptional" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_FinanceCostsPreexceptional" xlink:label="greencoregroupplc_FinanceCostsPreexceptional" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_ExceptionalItems" xlink:label="greencoregroupplc_ExceptionalItems" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_GroupOperatingProfitBeforeExceptionalItems" xlink:label="greencoregroupplc_GroupOperatingProfitBeforeExceptionalItems" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_AdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets" xlink:label="greencoregroupplc_AdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_NetCashInflowFromOperatingActivitiesBeforeExceptionalItems" xlink:label="greencoregroupplc_NetCashInflowFromOperatingActivitiesBeforeExceptionalItems" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_CashOutflowRelatedToExceptionalItems" xlink:label="greencoregroupplc_CashOutflowRelatedToExceptionalItems" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_CapitalReturnViaShareBuyBackClassifiedAsFinancingActivities" xlink:label="greencoregroupplc_CapitalReturnViaShareBuyBackClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_DrawdownOfBankBorrowingsClassifiedAsFinancingActivities" xlink:label="greencoregroupplc_DrawdownOfBankBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_RepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities" xlink:label="greencoregroupplc_RepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_SettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities" xlink:label="greencoregroupplc_SettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_SharesAcquiredByEmployeeBenefitTrust" xlink:label="greencoregroupplc_SharesAcquiredByEmployeeBenefitTrust" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_TransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust" xlink:label="greencoregroupplc_TransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_CapitalReturnViaShareBuyBack" xlink:label="greencoregroupplc_CapitalReturnViaShareBuyBack" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_OwnSharesMember" xlink:label="greencoregroupplc_OwnSharesMember" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_UndenominatedCapitalReserveMember" xlink:label="greencoregroupplc_UndenominatedCapitalReserveMember" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_SharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves" xlink:label="greencoregroupplc_SharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_NominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" xlink:label="greencoregroupplc_NominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_CostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" xlink:label="greencoregroupplc_CostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_DisclosureOfExceptionalItems" xlink:label="greencoregroupplc_DisclosureOfExceptionalItems" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_DisclosureOfWorkingCapitalMovement" xlink:label="greencoregroupplc_DisclosureOfWorkingCapitalMovement" />
    <loc xlink:type="locator" xlink:href="635400GGBEWULJXM5868-2024-09-27.xsd#greencoregroupplc_DisclosureOfDisposalOfUndertakings" xlink:label="greencoregroupplc_DisclosureOfDisposalOfUndertakings" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_GroupIncomeStatementAxis" xlink:to="label_greencoregroupplc_GroupIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_PreExceptionalMember" xlink:to="label_greencoregroupplc_PreExceptionalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_ExceptionalMember" xlink:to="label_greencoregroupplc_ExceptionalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_TotalMember" xlink:to="label_greencoregroupplc_TotalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_ProfitOrLossTable" xlink:to="label_greencoregroupplc_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_OperatingCostsBeforeAcquisitionRelatedAmortisation" xlink:to="label_greencoregroupplc_greencoregroupplcOperatingCostsBeforeAcquisitionRelatedAmortisation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_GroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation" xlink:to="label_greencoregroupplc_greencoregroupplcGroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_AmortisationOfAcquisitionRelatedIntangibles" xlink:to="label_greencoregroupplc_greencoregroupplcAmortisationOfAcquisitionRelatedIntangibles_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_FinanceIncomePreexceptional" xlink:to="label_greencoregroupplc_greencoregroupplcFinanceIncomePreexceptional_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_FinanceCostsPreexceptional" xlink:to="label_greencoregroupplc_greencoregroupplcFinanceCostsPreexceptional_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_ExceptionalItems" xlink:to="label_greencoregroupplc_greencoregroupplcExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_GroupOperatingProfitBeforeExceptionalItems" xlink:to="label_greencoregroupplc_greencoregroupplcGroupOperatingProfitBeforeExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_AdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets" xlink:to="label_greencoregroupplc_greencoregroupplcAdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_NetCashInflowFromOperatingActivitiesBeforeExceptionalItems" xlink:to="label_greencoregroupplc_greencoregroupplcNetCashInflowFromOperatingActivitiesBeforeExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_CashOutflowRelatedToExceptionalItems" xlink:to="label_greencoregroupplc_greencoregroupplcCashOutflowRelatedToExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_CapitalReturnViaShareBuyBackClassifiedAsFinancingActivities" xlink:to="label_greencoregroupplc_greencoregroupplcCapitalReturnViaShareBuyBackClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_DrawdownOfBankBorrowingsClassifiedAsFinancingActivities" xlink:to="label_greencoregroupplc_greencoregroupplcDrawdownOfBankBorrowingsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_RepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities" xlink:to="label_greencoregroupplc_greencoregroupplcRepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_SettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities" xlink:to="label_greencoregroupplc_greencoregroupplcSettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_greencoregroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_greencoregroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_SharesAcquiredByEmployeeBenefitTrust" xlink:to="label_greencoregroupplc_greencoregroupplcSharesAcquiredByEmployeeBenefitTrust_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_TransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust" xlink:to="label_greencoregroupplc_greencoregroupplcTransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_CapitalReturnViaShareBuyBack" xlink:to="label_greencoregroupplc_greencoregroupplcCapitalReturnViaShareBuyBack_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_OwnSharesMember" xlink:to="label_greencoregroupplc_OwnSharesMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_UndenominatedCapitalReserveMember" xlink:to="label_greencoregroupplc_UndenominatedCapitalReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_SharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves" xlink:to="label_greencoregroupplc_greencoregroupplcSharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_NominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" xlink:to="label_greencoregroupplc_greencoregroupplcNominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_CostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" xlink:to="label_greencoregroupplc_greencoregroupplcCostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_DisclosureOfExceptionalItems" xlink:to="label_greencoregroupplc_greencoregroupplcDisclosureOfExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_DisclosureOfWorkingCapitalMovement" xlink:to="label_greencoregroupplc_greencoregroupplcDisclosureOfWorkingCapitalMovement_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="greencoregroupplc_DisclosureOfDisposalOfUndertakings" xlink:to="label_greencoregroupplc_greencoregroupplcDisclosureOfDisposalOfUndertakings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_greencoregroupplc_GroupIncomeStatementAxis" id="greencoregroupplc_GroupIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group Income Statement [axis]</label>
    <label xlink:label="label_greencoregroupplc_PreExceptionalMember" id="greencoregroupplc_PreExceptionalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Pre-exceptional [member]</label>
    <label xlink:label="label_greencoregroupplc_ExceptionalMember" id="greencoregroupplc_ExceptionalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional [member]</label>
    <label xlink:label="label_greencoregroupplc_TotalMember" id="greencoregroupplc_TotalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total [member] </label>
    <label xlink:label="label_greencoregroupplc_ProfitOrLossTable" id="greencoregroupplc_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcOperatingCostsBeforeAcquisitionRelatedAmortisation_Standard" id="greencoregroupplc_greencoregroupplcOperatingCostsBeforeAcquisitionRelatedAmortisation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating costs before acquisition related amortisation</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcGroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation_Standard" id="greencoregroupplc_greencoregroupplcGroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group operating profit/(loss) before acquisition related amortisation</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcAmortisationOfAcquisitionRelatedIntangibles_Standard" id="greencoregroupplc_greencoregroupplcAmortisationOfAcquisitionRelatedIntangibles_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Amortisation of acquisition related intangibles</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcFinanceIncomePreexceptional_Standard" id="greencoregroupplc_greencoregroupplcFinanceIncomePreexceptional_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Finance income preexceptional</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcFinanceCostsPreexceptional_Standard" id="greencoregroupplc_greencoregroupplcFinanceCostsPreexceptional_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Finance costs preexceptional</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcExceptionalItems_Standard" id="greencoregroupplc_greencoregroupplcExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional items</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcGroupOperatingProfitBeforeExceptionalItems_Standard" id="greencoregroupplc_greencoregroupplcGroupOperatingProfitBeforeExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group operating profit before exceptional items</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcAdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets_Standard" id="greencoregroupplc_greencoregroupplcAdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for depreciation and impairment of property, plant and equipment and right-of-use assets</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcNetCashInflowFromOperatingActivitiesBeforeExceptionalItems_Standard" id="greencoregroupplc_greencoregroupplcNetCashInflowFromOperatingActivitiesBeforeExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash inflow from operating activities before exceptional items</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcCashOutflowRelatedToExceptionalItems_Standard" id="greencoregroupplc_greencoregroupplcCashOutflowRelatedToExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash outflow related to exceptional items</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcCapitalReturnViaShareBuyBackClassifiedAsFinancingActivities_Standard" id="greencoregroupplc_greencoregroupplcCapitalReturnViaShareBuyBackClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Capital return via share buyback classified as financing activities</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcDrawdownOfBankBorrowingsClassifiedAsFinancingActivities_Standard" id="greencoregroupplc_greencoregroupplcDrawdownOfBankBorrowingsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Drawdown of bank borrowings classified as financing activities</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcRepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities_Standard" id="greencoregroupplc_greencoregroupplcRepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Repayment of Private Placement Notes classified as financing activities</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcSettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities_Standard" id="greencoregroupplc_greencoregroupplcSettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Settlement of swaps on maturity of Private Placement Notes classified as financing activities</label>
    <label xlink:label="label_greencoregroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" id="greencoregroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents and bank overdrafts at beginning of year</label>
    <label xlink:label="label_greencoregroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" id="greencoregroupplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents and bank overdrafts at end of the financial year</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcSharesAcquiredByEmployeeBenefitTrust_Standard" id="greencoregroupplc_greencoregroupplcSharesAcquiredByEmployeeBenefitTrust_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Shares acquired by Employee Benefit Trust</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcTransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust_Standard" id="greencoregroupplc_greencoregroupplcTransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer to retained earnings on grant of shares to beneficiaries of the Employee Benefit Trust</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcCapitalReturnViaShareBuyBack_Standard" id="greencoregroupplc_greencoregroupplcCapitalReturnViaShareBuyBack_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Capital return via share buyback</label>
    <label xlink:label="label_greencoregroupplc_OwnSharesMember" id="greencoregroupplc_OwnSharesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Own shares [member]</label>
    <label xlink:label="label_greencoregroupplc_UndenominatedCapitalReserveMember" id="greencoregroupplc_UndenominatedCapitalReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Undenominated capital reserve [member]</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcSharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves_Standard" id="greencoregroupplc_greencoregroupplcSharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Shares acquired by employee benefit trust recognised in other reserves</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcNominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan_Standard" id="greencoregroupplc_greencoregroupplcNominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Nominal value of shares transferred to the beneficiaries of the Annual Bonus Plan and Performance Share Plan</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcCostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan_Standard" id="greencoregroupplc_greencoregroupplcCostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cost of shares transferred to the beneficiaries of the Annual Bonus Plan and Performance Share Plan</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcDisclosureOfExceptionalItems_Standard" id="greencoregroupplc_greencoregroupplcDisclosureOfExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of exceptional items</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcDisclosureOfWorkingCapitalMovement_Standard" id="greencoregroupplc_greencoregroupplcDisclosureOfWorkingCapitalMovement_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of working capital movement</label>
    <label xlink:label="label_greencoregroupplc_greencoregroupplcDisclosureOfDisposalOfUndertakings_Standard" id="greencoregroupplc_greencoregroupplcDisclosureOfDisposalOfUndertakings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of disposal of undertakings</label>
  </labelLink>
</linkbase>